Subject: Re: [BUG] netconsole broken by scheduler updates

From: Laurent Riffard <[email-masked]>
Date: Thu, 26 May 2011 18:12:27 +0200

Le 26/05/2011 12:35, Laurent Riffard a écrit :
> On Thu, 26 May 2011, Peter Zijlstra wrote:
>> On Thu, 2011-05-26 at 11:21 +0200, Laurent Riffard wrote:
>>> Hi,
>>>
>>> Recently, netconsole was broken by some scheduler updates. Kernel hangs
>>> on boot near the network card initialization. I noticed that it does
>>> hang just where a "inconsistent lock state" message normally appears.
>>>
>>> I did a bisection : e4a52bcb9a18142d79e231b6733cabdbf2e67c1f is the
>>> first bad commit.
>>> commit e4a52bcb9a18142d79e231b6733cabdbf2e67c1f
>>> Author: Peter Zijlstra <[email-masked]>
>>> Date:   Tue Apr 5 17:23:54 2011 +0200
>>>
>>>     sched: Remove rq->lock from the first half of ttwu()
>>>
>>>
>>> Before this commit, kernel was booting succesfully despite the
>>> "inconsistent lock state" message. After this commit, the kernel does
>>> hang on boot, I have to push the reset button.
>>
>> Do you have CONFIG_HARDLOCKUP_DETECTOR=y, and do you get an NMI splat
>> after some 10 seconds? It would be interesting to see where its stuck.
> 
> CONFIG_HARDLOCKUP_DETECTOR is not set for now. I'll give it a try.

I activated CONFIG_HARDLOCKUP_DETECTOR, but failed to obtain more 
information. During the boot, the kernel hangs just after bringing up 
the NIC. I waited 2 minutes, without getting any more messages.

~~
laurent